%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-rendition
Version: 4.2.2
Release: alt1
Serial: 1
Summary: Rendition video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-rendition = %serial:%version-%release
Obsoletes: xorg-x11-drv-rendition

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk xorg-util-macros
BuildRequires: xorg-fontsproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-xextproto-devel xorg-xproto-devel

ExclusiveArch: %ix86

%description
rendition is an Xorg driver for Rendition/Micron based video
cards.  The driver supports following framebuffer depths: 8, 15 (Verite
V1000  only), 16 and 24. Acceleration and multi-head configurations are
not supported yet, but are work in progress.

%add_strip_skiplist %_modulesdir/*.uc

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-rendition.xinf %buildroot%_hwdatadir/rendition.xinf
install -pD -m644 11-x11-video-rendition.fdi %buildroot%_fdidir/20-x11-video-rendition.fdi

%files
%_modulesdir/drivers/*.so
%_modulesdir/*.uc
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/20-x11-video-rendition.fdi
%_man4dir/*

%changelog
* Thu Jul 02 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.2-alt1
- 4.2.2

* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.1-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Tue Feb 24 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.1-alt1
- 4.2.1

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.0-alt4
- requires XORG_ABI_VIDEODRV = 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.0-alt3
- renamed xorg-x11-drv-rendition to xorg-drv-rendition
- added requires XORG_ABI_VIDEODRV = 2.0
- converted xinf to fdi

* Sun Mar 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.0-alt2
- fixed xinf file

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:4.2.0-alt1
- 4.2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.3-alt2
- rebuild with xorg-server-1.4

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.3-alt1
- 4.1.3

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.2-alt2
- added videoaliases file from RH

* Sun Nov 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.2-alt1
- 4.1.2

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.1-alt1
- 4.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.0-alt1
- 4.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1-alt0.1
- initial release

